Subject: Re: bug#79059: 31.0.50; eshell-emit-prompt errors when front-sticky or rear-nonsticky properties are set to t

From: László Vaskó <[email-masked]>
Date: Wed, 23 Jul 2025 15:20:44 +0200

I can confirm that the fix works.
Thank you very much!

On Wed, Jul 23, 2025, at 07:27, Jim Porter wrote:
> On 7/22/2025 9:22 AM, László Vaskó wrote:
> > I've spiced up the prompt using nerd-icons, which set the rear-nonsticky property:
> > 
> >>             (propertize icon
> >>                         'face face
> >>                         'font-lock-face face
> >>                         'display `(raise ,v-adjust)
> >>                         'rear-nonsticky t))))
> > https://github.com/rainstormstudio/nerd-icons.el/blob/main/nerd-icons.el#L1368-L1372
> Thanks for the context. Merged a fix for this as 0d752f15b86, so closing 
> this bug now (though if you still have any issues, let me know and I'll 
> try to address them).
>